/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventInterface {
#if ENABLE(APPLE_PAY)
    ApplePayCancelEventInterfaceType = 1,
    ApplePayPaymentAuthorizedEventInterfaceType = 2,
    ApplePayPaymentMethodSelectedEventInterfaceType = 3,
    ApplePayShippingContactSelectedEventInterfaceType = 4,
    ApplePayShippingMethodSelectedEventInterfaceType = 5,
    ApplePayValidateMerchantEventInterfaceType = 6,
#endif
#if ENABLE(APPLE_PAY_COUPON_CODE)
    ApplePayCouponCodeChangedEventInterfaceType = 7,
#endif
#if ENABLE(DEVICE_ORIENTATION)
    DeviceMotionEventInterfaceType = 8,
    DeviceOrientationEventInterfaceType = 9,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaEncryptedEventInterfaceType = 10,
    MediaKeyMessageEventInterfaceType = 11,
#endif
#if ENABLE(GAMEPAD)
    GamepadEventInterfaceType = 12,
#endif
#if ENABLE(IOS_GESTURE_EVENTS) || ENABLE(MAC_GESTURE_EVENTS)
    GestureEventInterfaceType = 13,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeyMessageEventInterfaceType = 14,
    WebKitMediaKeyNeededEventInterfaceType = 15,
#endif
#if ENABLE(MANAGED_MEDIA_SOURCE)
    BufferedChangeEventInterfaceType = 16,
#endif
#if ENABLE(MEDIA_RECORDER)
    BlobEventInterfaceType = 17,
    MediaRecorderErrorEventInterfaceType = 18,
#endif
#if ENABLE(MEDIA_STREAM)
    MediaStreamTrackEventInterfaceType = 19,
    OverconstrainedErrorEventInterfaceType = 20,
#endif
#if ENABLE(NOTIFICATION_EVENT)
    NotificationEventInterfaceType = 21,
#endif
#if ENABLE(ORIENTATION_EVENTS)
#endif
#if ENABLE(PAYMENT_REQUEST)
    MerchantValidationEventInterfaceType = 22,
    PaymentMethodChangeEventInterfaceType = 23,
    PaymentRequestUpdateEventInterfaceType = 24,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    PictureInPictureEventInterfaceType = 25,
#endif
#if ENABLE(SERVICE_WORKER)
    BackgroundFetchEventInterfaceType = 26,
    BackgroundFetchUpdateUIEventInterfaceType = 27,
    ExtendableCookieChangeEventInterfaceType = 28,
    ExtendableEventInterfaceType = 29,
    ExtendableMessageEventInterfaceType = 30,
    FetchEventInterfaceType = 31,
    PushEventInterfaceType = 32,
    PushSubscriptionChangeEventInterfaceType = 33,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisErrorEventInterfaceType = 34,
    SpeechSynthesisEventInterfaceType = 35,
#endif
#if ENABLE(TOUCH_EVENTS)
    TouchEventInterfaceType = 36,
#endif
#if ENABLE(VIDEO)
    TrackEventInterfaceType = 37,
#endif
#if ENABLE(WEBGL)
    WebGLContextEventInterfaceType = 38,
#endif
#if ENABLE(WEBXR)
    XRInputSourceEventInterfaceType = 39,
    XRInputSourcesChangeEventInterfaceType = 40,
    XRReferenceSpaceEventInterfaceType = 41,
    XRSessionEventInterfaceType = 42,
#endif
#if ENABLE(WEB_AUDIO)
    AudioProcessingEventInterfaceType = 43,
    OfflineAudioCompletionEventInterfaceType = 44,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFToneChangeEventInterfaceType = 45,
    RTCDataChannelEventInterfaceType = 46,
    RTCErrorEventInterfaceType = 47,
    RTCPeerConnectionIceErrorEventInterfaceType = 48,
    RTCPeerConnectionIceEventInterfaceType = 49,
    RTCRtpSFrameTransformErrorEventInterfaceType = 50,
    RTCTrackEventInterfaceType = 51,
    RTCTransformEventInterfaceType = 52,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET_AVAILABILITY_API)
    WebKitPlaybackTargetAvailabilityEventInterfaceType = 53,
#endif
    AnimationPlaybackEventInterfaceType = 54,
    BeforeUnloadEventInterfaceType = 55,
    CSSAnimationEventInterfaceType = 56,
    CSSTransitionEventInterfaceType = 57,
    ClipboardEventInterfaceType = 58,
    CloseEventInterfaceType = 59,
    CompositionEventInterfaceType = 60,
    CookieChangeEventInterfaceType = 61,
    CustomEventInterfaceType = 62,
    DragEventInterfaceType = 63,
    ErrorEventInterfaceType = 64,
    EventInterfaceType = 65,
    FocusEventInterfaceType = 66,
    FormDataEventInterfaceType = 67,
    HashChangeEventInterfaceType = 68,
    IDBVersionChangeEventInterfaceType = 69,
    InputEventInterfaceType = 70,
    KeyboardEventInterfaceType = 71,
    MediaQueryListEventInterfaceType = 72,
    MessageEventInterfaceType = 73,
    MouseEventInterfaceType = 74,
    MutationEventInterfaceType = 75,
    OverflowEventInterfaceType = 76,
    PageTransitionEventInterfaceType = 77,
    PointerEventInterfaceType = 78,
    PopStateEventInterfaceType = 79,
    ProgressEventInterfaceType = 80,
    PromiseRejectionEventInterfaceType = 81,
    SecurityPolicyViolationEventInterfaceType = 82,
    SpeechRecognitionErrorEventInterfaceType = 83,
    SpeechRecognitionEventInterfaceType = 84,
    StorageEventInterfaceType = 85,
    SubmitEventInterfaceType = 86,
    TextEventInterfaceType = 87,
    ToggleEventInterfaceType = 88,
    UIEventInterfaceType = 89,
    WheelEventInterfaceType = 90,
    XMLHttpRequestProgressEventInterfaceType = 91,
};

} // namespace WebCore
